Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Event Subscription Operations

SubscribeEvent

SubscribeEvent

POST/zstack/v1/zwatch/events/subscriptions

Operation ID

SubscribeEvent

Since

2.3

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • namespace
      StringRequired

      The namespace.

    • eventName
      StringRequired

      The event name.

    • actions
      List

      Optional. The event actions.

    • labels
      List

      Optional. The event labels.

    • resourceUuid
      String

      Optional.

    • name
      String

      Optional. The resource name.

    • emergencyLevel
      String

      Optional. The alarm emergency level.

    • tagUuids
      List

      Optional. The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.